Public Class MiniColumn

    Public status As Boolean

    Public InUse As Boolean

    Public A As Boolean

    Public Column() As Neuron

    Public W() As Integer

    Dim N_Col As Integer

    Dim N_Bus_In As Integer

    Dim N_Bus_Out As Integer

    Public Sub New(NCol As Integer, NBusIn As Integer, NBusOut As Integer, NMed As Integer, NDendSec As Integer)

        N_Col = NCol
        N_Bus_In = NBusIn

        ReDim Column(NCol - 1)

        ReDim W(N_Bus_In - 1)

        For i = 0 To N_Col - 1

            Column(i) = New Neuron(NMed, NDendSec)

        Next

    End Sub
End Class
